Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: echt een domme vraag  (gelezen 1801 keer)

Offline soppel

  • Lid
  • Steunpunt: Nee
echt een domme vraag
« Gepost op: 2012/03/06, 19:53:09 »
Yep een echt domme vraag, maar ben even bezig in Debian, moet iets intypen in de terminal, maar snap even niet de schrijfwijze.
Volgens mij moet het ergens in les 1 van elke Linux distributie staan ,maar ik google vind het niet voor me, en ik wil eigenlijk verder.

De terminal opdracht luidt:
apt-get install nvidia-kernel${VERSION}-source

en mijn kernelversie is:
2.6.33.7.2-rt30-1-amd64

Mij is niet duidelijk hoe ik die kernelversie nu moet invullen.  (smiley met een rood aangelopen blozend hoofd)
Gooi je windows uit het raam
en je virusscanner d'r achteraan

Offline Ron

  • Forumteam
    • r0n
    • Dwarsligger
  • Steunpunt: Ja
Re: echt een domme vraag
« Reactie #1 Gepost op: 2012/03/06, 19:59:24 »
Dan doe je wel SUDU ervoor !

sudo apt-get update
sudo apt-get upgrade

Hierna heb je de nieuwste kernel (als die er is).
OpenStandaard evangelist, OpenSource promotor, OpenData liefhebber.
Xubuntu gebruiker en voorstander (XFCE).
In Nederland bekend als een Dwarsligger.

Offline soppel

  • Lid
  • Steunpunt: Nee
Re: echt een domme vraag
« Reactie #2 Gepost op: 2012/03/06, 20:02:39 »
sudo? in debian? ???

Gooi je windows uit het raam
en je virusscanner d'r achteraan

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: echt een domme vraag
« Reactie #3 Gepost op: 2012/03/06, 20:32:27 »
Hangt ervanaf of je als root ingelogd hebt of niet. Als je su gebruikt hebt, dan hoef je geen sudo te gebuiken in Debian.

Offline Ron

  • Forumteam
    • r0n
    • Dwarsligger
  • Steunpunt: Ja
Re: echt een domme vraag
« Reactie #4 Gepost op: 2012/03/06, 20:34:04 »
In Debian kan je ook een terminal openen als SU ......
OpenStandaard evangelist, OpenSource promotor, OpenData liefhebber.
Xubuntu gebruiker en voorstander (XFCE).
In Nederland bekend als een Dwarsligger.

Offline soppel

  • Lid
  • Steunpunt: Nee
Re: echt een domme vraag
« Reactie #5 Gepost op: 2012/03/06, 20:41:04 »
volgens mij geen SUDO in debian, maar SU, als je de gewone terminal opent, maar daar gaat het niet om. HEt is niet de bedoeling dat we nu met zijn drieën gaan zitten blozen  =D

Het gaat er even om hoe mijn opdracht moet luiden. Hoe de kernelversie ingevuld moet worden?
Moet ik dat dollarteken typen en die accoladen?
Lijkt mij dat die niet getypt worden.



Gooi je windows uit het raam
en je virusscanner d'r achteraan

Offline Bloom

  • Lid
  • Steunpunt: Ja
Re: echt een domme vraag
« Reactie #6 Gepost op: 2012/03/06, 20:42:32 »
sudo? in debian? ???
Jawel hoor. Debian gebruikt sudo als je bij de installatie geen root opgegeven had.

Offline soppel

  • Lid
  • Steunpunt: Nee
Re: echt een domme vraag
« Reactie #7 Gepost op: 2012/03/06, 20:46:03 »
Het gaat er even om hoe mijn opdracht moet luiden. Hoe de kernelversie ingevuld moet worden?
Moet ik dat dollarteken typen en die accoladen?
Lijkt mij dat die niet getypt worden.
Gooi je windows uit het raam
en je virusscanner d'r achteraan

Offline Bloom

  • Lid
  • Steunpunt: Ja
Re: echt een domme vraag
« Reactie #8 Gepost op: 2012/03/06, 20:48:54 »
De terminal opdracht luidt:
apt-get install nvidia-kernel${VERSION}-source
en mijn kernelversie is:
2.6.33.7.2-rt30-1-amd64
Mij is niet duidelijk hoe ik die kernelversie nu moet invullen.  (smiley met een rood aangelopen blozend hoofd)
Hier wordt de versie van het nvidia driverpakket bedoeld. En die hoort vóór het woord kernel te staan, niet erachter. De versies zijn 96, 173, 180 en 185. Welke versie je nodig hebt, hangt af van welke NVidia kaart je hebt en hoe oud die is.

Een tip voor mensen die werkelijk de Linux-kernelversie ergens moeten invullen: je kunt daarvoor de variabele $(uname -r) opgeven, dat vult de momenteel draaiende kernelversie in.

Offline soppel

  • Lid
  • Steunpunt: Nee
Re: echt een domme vraag
« Reactie #9 Gepost op: 2012/03/06, 20:53:33 »
Mijn huidige kernelversie staat in de originele vraag........

oh wacht even, ik moet de kernel versie helemaal niet invullen?????

Vreemd ik zit de handleiding van debian zelf te volgen, maar wat je zegt klinkt wel zo logisch!!!!

« Laatst bewerkt op: 2012/03/06, 20:56:01 door soppel »
Gooi je windows uit het raam
en je virusscanner d'r achteraan


Offline soppel

  • Lid
  • Steunpunt: Nee
Re: echt een domme vraag
« Reactie #11 Gepost op: 2012/03/06, 21:21:58 »
GT218 [GeForce 210]

Hoop dat dat voldoende gegevens zijn, anders moet ik de kast opentrekken..
Gooi je windows uit het raam
en je virusscanner d'r achteraan

Offline Bloom

  • Lid
  • Steunpunt: Ja
Re: echt een domme vraag
« Reactie #12 Gepost op: 2012/03/06, 22:04:07 »
lspci|grep -i vgaVertelt je het juiste merk en model van je grafische kaart.

In Debian gebruikt NVidia wel kernelpakketten die afhankelijk zijn van de versie van de Linux kernel.

Vraagje: is het mogelijk voor jou om de standaard open source driver nouveau te gebruiken onder Debian? Dat is het meest eenvoudig. Pas als je specifieke 3D-eisen hebt, is het zinvol om de gesloten driver van NVidia te overwegen. Dat vereist het elimineren en blokkeren van nouveau, het installeren van de juiste NVidia-kernelbronpakketten en daarna de gesloten glx-driver van NVidia plus de juiste X-driver voor de gesloten NVidia omgeving.
Zie ook http://wiki.debian.org/NvidiaGraphicsDrivers

Offline soppel

  • Lid
  • Steunpunt: Nee
Re: echt een domme vraag
« Reactie #13 Gepost op: 2012/03/06, 22:16:26 »
lspci|grep -i vga
01:00.0 VGA compatible controller: nVidia Corporation GT218 [GeForce 210] (rev a2)

Dus dat deel klopte wel :-)


Ik heb in het geheel geen 3D eisen dus elke werkende driver is goed. Enige luxe die ik wil is kleur.
Ik heb gisteren in deze debian 6.0.4  64 bit de RT-kernel van pengutronix gesleuteld en sindsdien heb ik een resolutie van 640x480.

De nouveau driver kreeg ik er niet in. Maar ik heb al wat try and error achter de rug.
Gooi je windows uit het raam
en je virusscanner d'r achteraan

Offline Bloom

  • Lid
  • Steunpunt: Ja
Re: echt een domme vraag
« Reactie #14 Gepost op: 2012/03/06, 22:23:12 »
De RT-kernel is heel andere koek. Ik denk niet dat de gesloten NVidia-drivers daarmee werken. De nouveau-driver zou in principe wel moeten werken, omdat die volledig open source is en er dus geen speciale kernelmodules nodig zijn.
Heb je de realtime kernel absoluut nodig? Anders zou ik je aanraden de gewone kernel terug te installeren, daar ga je veel minder problemen mee hebben. Een RT-kernel is alleen nodig voor servers die real-time transacties moeten kunnen garanderen of voor mensen die zich bezighouden met videobewerking. Ubuntu Studio kan bijvoorbeeld gebruik maken van een RT-kernel.
Kijk eventueel ook eens naar mijn stap-voor-stapgids van een Debian blokkendoossysteem met XFCE of met Gnome.

Offline soppel

  • Lid
  • Steunpunt: Nee
Re: echt een domme vraag
« Reactie #15 Gepost op: 2012/03/06, 22:29:10 »
Yep ik heb de RT nodig voor Audio ( ivm met de latency)
Draai momenteel onder AV linux, maar daar stuit ik toch vaak op kleine ongemakken die wat lastig te vinden zijn. Niet kunnen afmelden van geheugensticks en dat soort dingen

Ik ga die stap voor stap van je eens doornemen.
Gooi je windows uit het raam
en je virusscanner d'r achteraan